Skip to content

Search pages

POST
/web-pages/draft/drafts/{draftId}/pages/_search
Required scope: draft:read

Gets information about a page including variable values.

Parameters ​

Path parameters

draftId  string
Format: uuid
Identifier of the draft. A draft is a workspace that holds unpublished changes to web store content.

Query parameters

countryCode  string
Country code of the page. This or contentLocaleId must be provided.
languageCode  string
Language code (in ISO 639-1 format) of the page. This or contentLocaleId must be provided.
contentLocaleId  string
The content locale of the page. This or countryCode and languageCode combination must be provided.
categoryId  string
ID of a category. This or path must be provided.
path  string
URL path for this page. This or categoryId must be provided.

Response ​

The page and its variable values.